import request from '@/utils/request'

export function loginByUsername(username, password) {
  const data = {
    username,
    password
  }
  return request({
    url: '/api/users/login/',
    method: 'post',
    data
  })
}

export function logout() {
  return request({
    url: '/api/users/logout',
    method: 'get'
  })
}

export function getUserInfo(token) {
  return request({
    url: '/api/users/info/',
    method: 'get',
    params: { token }
  })
}

